# menu_userptr 3x

    menu_userptr(3x)                                 menu_userptr(3x)

## NAME

           menu_userptr - associate application data with a menu item

## SYNOPSIS

           #include <menu.h>
           int set_menu_userptr(MENU *menu, void *userptr);
           void *menu_userptr(const MENU *menu);

## DESCRIPTION

           Every menu and every menu item has a  field  that  can  be
           used to hold application-specific data (that is, the menu-
           driver code leaves it alone).  These functions get and set
           the menu user pointer field.

## RETURN VALUE

           Except  for  menu_userptr  (which  returns NULL on error),
           each function returns one of the following:

           E_OK The routine succeeded.

           E_SYSTEM_ERROR
                System error occurred (see errno).

## SEE ALSO

           curses(3x), menu(3x).

## NOTES

           The header file <menu.h> automatically includes the header
           file <curses.h>.

## PORTABILITY

           These  routines  emulate  the System V menu library.  They
           were not supported on Version 7 or BSD versions.

           The user pointer should be a void pointer.  We leave it as
           a char pointer for SVr4 compatibility.

## AUTHORS

           Juergen  Pfeifer.   Manual  pages  and  adaptation for new
           curses by Eric S. Raymond.

                                                     menu_userptr(3x)